net.sourceforge.pmd.lang.ast.xpath

## Class AbstractASTXPathHandler

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.xpath.AbstractASTXPathHandler

All Implemented Interfaces:
  XPathHandler

    public abstract class AbstractASTXPathHandler
    extends Object
    implements XPathHandler

### Field Summary

### Fields inherited from interface net.sourceforge.pmd.lang.XPathHandler

`DUMMY`

### Constructor Summary

Constructors
Constructor and Description
`AbstractASTXPathHandler()`

### Method Summary

Methods
`org.jaxen.Navigator` `getNavigator()` Get a Jaxen Navigator for this Language.
`void` `initialize(net.sf.saxon.sxpath.IndependentContext context, Language language, Class<?> functionsClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.XPathHandler

`initialize, initialize`

### Constructor Detail

#### AbstractASTXPathHandler

    public AbstractASTXPathHandler()

### Method Detail

#### getNavigator

    public org.jaxen.Navigator getNavigator()

Description copied from interface: `XPathHandler`
Get a Jaxen Navigator for this Language. May return `null` if there is no Jaxen Navigation for this language.

Specified by:
  `getNavigator` in interface `XPathHandler`

#### initialize

    public void initialize(net.sf.saxon.sxpath.IndependentContext context,
                  Language language,
                  Class<?> functionsClass)